Bug 231858 - converters/wkhtmltopdf: fix build on powerpc64
Summary: converters/wkhtmltopdf: fix build on powerpc64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-01 16:27 UTC by Piotr Kubaj
Modified: 2019-05-27 12:19 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback+


Attachments
patch (2.43 KB, patch)
2018-10-01 16:27 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-10-01 16:27:37 UTC
Created attachment 197683 [details]
patch

This port requires USES=compiler:c++11-lang to build on powerpc64. It also requires changing values in mkspecs to point to proper compiler.
Comment 1 Piotr Kubaj freebsd_committer 2018-10-01 16:28:01 UTC
Tested on amd64 and powerpc64.

Hardware sponsored by IntegriCloud.
Comment 2 Kurt Jaeger freebsd_committer 2018-10-02 04:00:55 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2018-10-02 04:01:13 UTC
A commit references this bug:

Author: pi
Date: Tue Oct  2 04:00:54 UTC 2018
New revision: 481095
URL: https://svnweb.freebsd.org/changeset/ports/481095

Log:
  converters/wkhtmltopdf: fix build on powerpc64

  - requires USES=compiler:c++11-lang to build on powerpc64
  - It also requires changing values in mkspecs to point to proper compiler

  PR:		231858
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>
  Sponsored by:	Hardware by IntegriCloud

Changes:
  head/converters/wkhtmltopdf/Makefile
Comment 4 commit-hook freebsd_committer 2018-10-02 04:02:16 UTC
A commit references this bug:

Author: pi
Date: Tue Oct  2 04:01:36 UTC 2018
New revision: 481096
URL: https://svnweb.freebsd.org/changeset/ports/481096

Log:
  converters/wkhtmltopdf: fix build on powerpc64

  - really add patch

  PR:		231858
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>

Changes:
  head/converters/wkhtmltopdf/files/patch-mkspecs_common_gcc-base.conf
Comment 5 commit-hook freebsd_committer 2019-05-27 12:19:54 UTC
A commit references this bug:

Author: meta
Date: Mon May 27 12:18:54 UTC 2019
New revision: 502787
URL: https://svnweb.freebsd.org/changeset/ports/502787

Log:
  devel/rubygem-rspec-its: Update to 1.3.0

  PR:		231858
  Submitted by:	Yuichiro NAITO <naito.yuichiro@gmail.com> (maintainer)

Changes:
  head/devel/rubygem-rspec-its/Makefile
  head/devel/rubygem-rspec-its/distinfo